net.minecraftforge.event.terraingen

## Class PopulateChunkEvent

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - net.minecraftforge.event.terraingen.ChunkProviderEvent
    - - net.minecraftforge.event.terraingen.PopulateChunkEvent

- Direct Known Subclasses:
    PopulateChunkEvent.Populate, PopulateChunkEvent.Post, PopulateChunkEvent.Pre

      public class PopulateChunkEvent
      extends ChunkProviderEvent

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PopulateChunkEvent.Populate` This event is fired when a chunk is populated with a terrain feature.
    `static class` | `PopulateChunkEvent.Post`
    `static class` | `PopulateChunkEvent.Pre`

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.terraingen.ChunkProviderEvent

      `ChunkProviderEvent.InitNoiseField, ChunkProviderEvent.ReplaceBiomeBlocks`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `chunkX`
    `int` | `chunkZ`
    `boolean` | `hasVillageGenerated`
    `java.util.Random` | `rand`
    `World` | `world`

    - ### Fields inherited from class net.minecraftforge.event.terraingen.ChunkProviderEvent

      `chunkProvider`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PopulateChunkEvent(IChunkProvider chunkProvider, World world, java.util.Random rand, int chunkX, int chunkZ, boolean hasVillageGenerated)`

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### world

          public final World world

    - #### rand

          public final java.util.Random rand

    - #### chunkX

          public final int chunkX

    - #### chunkZ

          public final int chunkZ

    - #### hasVillageGenerated

          public final boolean hasVillageGenerated

  - ### Constructor Detail

    - #### PopulateChunkEvent

          public PopulateChunkEvent(IChunkProvider chunkProvider,
                            World world,
                            java.util.Random rand,
                            int chunkX,
                            int chunkZ,
                            boolean hasVillageGenerated)